## xraydb 4.4.7+ds1

=== poster/Makefile ===
# Makefile for xray periodic table

TARGET = xray_table
PDFLATEX = ./pdflatex


.PHONY: clean distclean all

all:
	make xray_table_50in_Barkla.pdf
	make xray_table_50in_Curie.pdf
	make xray_table_50in_Mendeleev.pdf
	make xray_table_50in_Moseley.pdf
	make xray_table_36in_Barkla.pdf
	make xray_table_36in_Curie.pdf
	make xray_table_36in_Mendeleev.pdf
	make xray_table_36in_Moseley.pdf


atoms.tex:  gen_atoms.py
	python gen_atoms.py > atoms.tex

xray_table_50in_Curie.pdf: atoms.tex elines.tex xray_table_50in_Curie.tex
	$(PDFLATEX) xray_table_50in_Curie.tex

xray_table_50in_Barkla.pdf: atoms.tex elines.tex xray_table_50in_Barkla.tex
	$(PDFLATEX) xray_table_50in_Barkla.tex

xray_table_50in_Mendeleev.pdf: atoms.tex elines.tex xray_table_50in_Mendeleev.tex
	$(PDFLATEX) xray_table_50in_Mendeleev.tex

xray_table_50in_Moseley.pdf: atoms.tex elines.tex xray_table_50in_Moseley.tex
	$(PDFLATEX) xray_table_50in_Moseley.tex

xray_table_36in_Curie.pdf: atoms.tex elines.tex xray_table_36in_Curie.tex
	$(PDFLATEX) xray_table_36in_Curie.tex

xray_table_36in_Barkla.pdf: atoms.tex elines.tex xray_table_36in_Barkla.tex
	$(PDFLATEX) xray_table_36in_Barkla.tex

xray_table_36in_Mendeleev.pdf: atoms.tex elines.tex xray_table_36in_Mendeleev.tex
	$(PDFLATEX) xray_table_36in_Mendeleev.tex

xray_table_36in_Moseley.pdf: atoms.tex elines.tex xray_table_36in_Moseley.tex
	$(PDFLATEX) xray_table_36in_Moseley.tex


clean:
	rm -f *.log *.aux *.pyc *.synctex.gz

distclean:
	make clean
	rm -f *.pdf atoms.tex

=== python/requirements.txt ===
numpy>=1.10
scipy>=0.17
sqlalchemy

=== debian/changelog ===
xraydb (4.4.7+ds1-3) unstable; urgency=medium

  * Patch tests to use materials.dat from package directories instead of
    $HOME

 -- Neil Williams <codehelp@debian.org>  Mon, 14 Mar 2022 08:05:58 +0000

xraydb (4.4.7+ds1-2) unstable; urgency=medium

  * Source only upload
  * Enable autopkgtest-pkg-python

 -- Neil Williams <codehelp@debian.org>  Mon, 28 Feb 2022 07:44:42 +0000

xraydb (4.4.7+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #1004958: ITP: xraydb -- X-ray Reference
    Data)

 -- Neil Williams <codehelp@debian.org>  Mon, 07 Feb 2022 08:47:59 +0000

=== debian/control ===
Source: xraydb
Section: science
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Sebastien Delafond <seb@debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Neil Williams <codehelp@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 sqlite3,
 dh-python,
 python3-setuptools,
 python3-all,
 python3-numpy,
 python3-scipy,
 python3-sqlalchemy,
 python3-pytest <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-pybtex <!nodoc>,
 python3-sphinxcontrib.bibtex <!nodoc>,
Standards-Version: 4.6.0
Homepage: https://github.com/xraypy/XrayDB
Vcs-Browser: https://salsa.debian.org/science-team/xraydb
Vcs-Git: https://salsa.debian.org/science-team/xraydb.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-xraydb
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-xraydb-doc
Description: X-ray Reference Data (Python 3)
 X-ray Reference Data in SQLite library, including a Python3
 interface. The database contains data about the interactions
 of X-rays with matter.
 .
 This package installs the library for Python 3.

Package: python-xraydb-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: X-ray Reference Data (common documentation)
 X-ray Reference Data in SQLite library, including a Python3
 interface. The database contains data about the interactions
 of X-rays with matter.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=xraydb
export PYBUILD_DIR=python

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	cd data_sources/ & python3 ./create_db.py & cd -

override_dh_auto_build:
	export http_proxy=127.0.0.1:9
	dh_auto_build
	PYTHONPATH=python python3 -m sphinx -N -bhtml doc/ build/html

override_dh_auto_install:
	dh_auto_install
	dh_numpy3

override_dh_auto_test:
	HOMEPATH=. PYTHONPATH=python pytest-3 python/tests/ -s -v

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r python/xraydb.egg-info/ build/ python/.pytest_cache/
	find . -name "*.pyc" -delete
	$(RM) xraydb.sqlite

## xraydb 4.5.0

=== python/requirements.txt ===
numpy>=1.10
scipy>=0.17
sqlalchemy>1.4

=== debian/changelog ===
xraydb (4.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-xraydb-doc: Add Multi-Arch: foreign.

  [ Neil Williams ]
  * Update control to remove myself from Uploaders

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 4.5.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Aug 2023 15:10:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
  Sebastien Delafond <seb@debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
- Neil Williams <codehelp@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  sqlite3,
@@ -42,6 +41,7 @@
 Architecture: all
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: X-ray Reference Data (common documentation)
  X-ray Reference Data in SQLite library, including a Python3
  interface. The database contains data about the interactions

## xraydb 4.5.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#
SPHINXBUILD = sphinx-build
PAPER       = letter
BUILDDIR    = _build
BIBFILE     = xraydb.bib

.PHONY: html all epub latex pdf clean

html: bib
	$(SPHINXBUILD) -a . $(BUILDDIR)/html

epub:
	$(SPHINXBUILD) -a -b epub . $(BUILDDIR)/html

bib:
	touch $(BIBFILE)

all: html pdf

latex: bib
	$(SPHINXBUILD) -a -b latex . $(BUILDDIR)/latex

pdf: latex
	cd $(BUILDDIR)/latex && make all-pdf
	cp -pr $(BUILDDIR)/latex/xraydb.pdf $(BUILDDIR)/html/xraydb.pdf

clean:
	-rm -rf $(BUILDDIR)/*

tarball: html pdf
	cd $(BUILDDIR)/html
	tar cvzf ../../../_doc.tgz *
	cd ../..

=== poster/Makefile ===
# Makefile for xray periodic table

TARGET = xray_table
PDFLATEX = pdflatex


.PHONY: clean distclean all

all:
	make xray_table_50in_Barkla.pdf
	make xray_table_50in_Curie.pdf
	make xray_table_50in_Mendeleev.pdf
	make xray_table_50in_Moseley.pdf
	make xray_table_36in_Barkla.pdf
	make xray_table_36in_Curie.pdf
	make xray_table_36in_Mendeleev.pdf
	make xray_table_36in_Moseley.pdf


atoms.tex:  gen_atoms.py
	python gen_atoms.py > atoms.tex

xray_table_50in_Curie.pdf: atoms.tex elines.tex ptable.tex xray_table_50in_Curie.tex
	$(PDFLATEX) xray_table_50in_Curie.tex

xray_table_50in_Barkla.pdf: atoms.tex elines.tex ptable.tex xray_table_50in_Barkla.tex
	$(PDFLATEX) xray_table_50in_Barkla.tex

xray_table_50in_Mendeleev.pdf: atoms.tex elines.tex ptable.tex xray_table_50in_Mendeleev.tex
	$(PDFLATEX) xray_table_50in_Mendeleev.tex

xray_table_50in_Moseley.pdf: atoms.tex elines.tex ptable.tex xray_table_50in_Moseley.tex
	$(PDFLATEX) xray_table_50in_Moseley.tex

xray_table_36in_Curie.pdf: atoms.tex elines.tex ptable.tex xray_table_36in_Curie.tex
	$(PDFLATEX) xray_table_36in_Curie.tex

xray_table_36in_Barkla.pdf: atoms.tex elines.tex ptable.tex xray_table_36in_Barkla.tex
	$(PDFLATEX) xray_table_36in_Barkla.tex

xray_table_36in_Mendeleev.pdf: atoms.tex elines.tex ptable.tex xray_table_36in_Mendeleev.tex
	$(PDFLATEX) xray_table_36in_Mendeleev.tex

xray_table_36in_Moseley.pdf: atoms.tex elines.tex ptable.tex xray_table_36in_Moseley.tex
	$(PDFLATEX) xray_table_36in_Moseley.tex


clean:
	rm -f *.log *.aux *.pyc *.synctex.gz

distclean:
	make clean
	rm -f *.pdf atoms.tex

=== python/requirements.txt ===
numpy>=1.12
scipy>=1.5
sqlalchemy>=2.0.1
platformdirs
packaging

=== debian/changelog ===
xraydb (4.5.3-2) unstable; urgency=medium

  * Bug fix: "FTBFS: AttributeError: module &#39;configparser&#39; has no
    attribute &#39;SafeConfigParser&#39;. Did you mean:
    &#39;RawConfigParser&#39;?", thanks to Lucas Nussbaum (Closes:
    #1058176).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 20 Dec 2023 17:45:42 +0100

xraydb (4.5.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/control: Used dh-sequence-[sphinxdoc|numpy3]
  * d/control: Added B-D python3-platformdirs
  * d/control: Added B-D pybuild-plugin-pyproject
  * d/p/*: refreshed all the patch series
    - Build with sqlalchemy 1.4
  * d/rules: fixed the dh_auto_configure target
  * d/t/*: Added autopkgtest

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 20 Dec 2023 17:09:42 +0100

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,21 @@
 Build-Depends:
  debhelper-compat (= 13),
  sqlite3,
- dh-python,
+ dh-sequence-numpy3,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all,
  python3-numpy,
+ python3-platformdirs,
  python3-scipy,
  python3-sqlalchemy,
  python3-pytest <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-pybtex <!nodoc>,
  python3-sphinxcontrib.bibtex <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/xraypy/XrayDB
 Vcs-Browser: https://salsa.debian.org/science-team/xraydb
 Vcs-Git: https://salsa.debian.org/science-team/xraydb.git

=== debian/rules ===
--- 
+++ 
@@ -7,19 +7,15 @@
 export PYBUILD_DIR=python
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_configure:
-	cd data_sources/ & python3 ./create_db.py & cd -
+	cd data_sources/ && python3 create_db.py
 
 override_dh_auto_build:
 	export http_proxy=127.0.0.1:9
 	dh_auto_build
 	PYTHONPATH=python python3 -m sphinx -N -bhtml doc/ build/html
-
-override_dh_auto_install:
-	dh_auto_install
-	dh_numpy3
 
 override_dh_auto_test:
 	HOMEPATH=. PYTHONPATH=python pytest-3 python/tests/ -s -v

=== debian/tests/control ===
Tests: testsuite
Depends:
 python3-all,
 python3-xraydb,
 python3-pytest,
Restrictions: allow-stderr

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

#opts="pgpsigurlmangle=s%$%.sig%"

# GitHub hosted projects
opts="dversionmangle=s/\+ds1//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xraydb-$1.tar.gz%" \
   https://github.com/xraypy/XrayDB/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
